gssmechanism Class Reference

## Public Member Functions

| gssmechanism ()
| ~gssmechanism ()
bool | initialize (const char *str)
bool | initialize (const void *oid)
void | clear ()
const char * | getString ()
const void * | getObjectId ()

## Constructor & Destructor Documentation

## gssmechanism()

gssmechanism::gssmechanism | ( |  | ) |

Creates a new instance of the gssmechanism class.

## ~gssmechanism()

gssmechanism::~gssmechanism | ( |  | ) |

Deletes this instance of the gssmechanism class.

## Member Function Documentation

## clear()

void gssmechanism::clear | ( |  | ) |

Clears any previous initialization of this intstance.

## getObjectId()

const void* gssmechanism::getObjectId | ( |  | ) |

Returns the platform-specific binary representation of the object id for the security mechanism represented by this instance, or NULL if it has not been initialized or has been cleared.

## getString()

const char* gssmechanism::getString | ( |  | ) |

Returns the string representation of the object id for the security mechanism represented by this instance, or NULL if it has not been initialized or has been cleared.

## initialize() [1/2]

bool gssmechanism::initialize | ( | const char * | str | ) |

Initializes this instance of the gssmechanism class using "str", which should be the string representation of the object id for an available security mechanism. Returns true on success and false on failure.

## initialize() [2/2]

bool gssmechanism::initialize | ( | const void * | oid | ) |

Initializes this instance of the gssmechanism class using "oid", which should be the platform-spcific binary representation of the object id for an available security mechanism. Returns true on success and false on failure.